#!/bin/bash

cd /serveur/majsquid
rm -f blacklists.tar.gz
rm -f oldblacklists.tgz
rm -rf blacklists
wget ftp://ftp.univ-tlse1.fr/pub/reseau/cache/squidguard_contrib/blacklists.tar.gz
tar xvzf blacklists.tar.gz

tar -czvf oldblacklists.tgz /usr/share/squidGuard-1.1.4/db2/

cd blacklists

cp -f adult/urls /usr/share/squidGuard-1.1.4/db2/adult
cp -f adult/domains /usr/share/squidGuard-1.1.4/db2/adult

cp -f agressif/urls /usr/share/squidGuard-1.1.4/db2/aggressive
cp -f agressif/domains /usr/share/squidGuard-1.1.4/db2/aggressive

cp -f audio-video/urls /usr/share/squidGuard-1.1.4/db2/audio-video
cp -f audio-video/domains /usr/share/squidGuard-1.1.4/db2/audio-video

cp -f drogue/urls /usr/share/squidGuard-1.1.4/db2/drugs
cp -f drogue/domains /usr/share/squidGuard-1.1.4/db2/drugs

cp -f forums/urls /usr/share/squidGuard-1.1.4/db2/forums
cp -f forums/domains /usr/share/squidGuard-1.1.4/db2/forums

cp -f gambling/urls /usr/share/squidGuard-1.1.4/db2/gambling
cp -f gambling/domains /usr/share/squidGuard-1.1.4/db2/gambling

cp -f hacking/urls /usr/share/squidGuard-1.1.4/db2/hacking
cp -f hacking/domains /usr/share/squidGuard-1.1.4/db2/hacking

cp -f publicite/urls /usr/share/squidGuard-1.1.4/db2/publicite
cp -f publicite/domains /usr/share/squidGuard-1.1.4/db2/publicite


cp -f redirector/urls /usr/share/squidGuard-1.1.4/db2/redirector
cp -f redirector/domains /usr/share/squidGuard-1.1.4/db2/redirector

cp -f violence/urls /usr/share/squidGuard-1.1.4/db2/violence
cp -f violence/domains /usr/share/squidGuard-1.1.4/db2/violence

cp -f warez/urls /usr/share/squidGuard-1.1.4/db2/warez
cp -f warez/domains /usr/share/squidGuard-1.1.4/db2/warez

cp -f violence/urls /usr/share/squidGuard-1.1.4/db2/violence
cp -f violence/domains /usr/share/squidGuard-1.1.4/db2/violence

squidGuard -c /etc/squid/squidGuard.conf -C all
/etc/init.d/squid restart
